#!/usr/bin/python
# -*- coding: iso-8859-1 -*-
#mode = 'qt'
#mode = 'curses'
import sys
mode = sys.argv[1]
if mode == 'curses' :
	from cwizard import *
	Wizard = AbsCursesWizard
	Screen = AbsCursesScreen
elif mode == 'qt' :
	from qtwizard import *
	Wizard = AbsQtWizard
	Screen = AbsQtScreen
	
w = Wizard('Exemplo')




pacotes = {'KDE':250, 'Python':30, 'Qt':50, 'PyQt':15, 'ZSH':5 }
def habilita() :
	w.setEnabled('Pacotes', w.getValue('Escolha'))

def soma() :
	selecionados = w.getValue('Pacotes')[1]
	s = 0
	for i in selecionados :
		s = s + pacotes[i]
	w.setValue('Soma', str(s))
t1 = Screen('Pacotes')
t1.addBoolean('Escolha', 'Seleo manual', 1, '', habilita)
x = pacotes.keys()
x.sort()

t1.addCheckList('Pacotes', 'Selecione', (x,[]), '', soma)
t1.addLabel('Soma', '0')
#t1.addButton('','',tooltip='hallo')
w.addScreen(t1)


def adicionar() :
	l = w.getValue('Adicionados')[0]
	l.append(w.getValue('Novo'))
	w.setValue('Adicionados', (l,''))
	
t2 = Screen('Usurios')
t2.addList('Adicionados', 'Adicionados', ([],''))
t2.addLineEdit('Novo', 'Nome', "", '')
t2.addButton('', 'Adicionar', '', '', adicionar)
#w.addScreen(t2)
w.start()

